VectorLinux
October 25, 2014, 12:54:28 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2
  Print  
Author Topic: vpackager-1.0.11 has been released!  (Read 8390 times)
M0E-lnx
Administrator
Vectorian
*****
Posts: 3185



« on: April 29, 2008, 12:32:38 pm »

The next release of vpackager is now available for download.

I have misplaced my ssh keys, so I'd appreciate if one of the appropriate repo maintainers placed a copy of it in the correct section of the forums for this.

Notes about this release
This release features the same backbone as the preceeding releases with a couple of exeptions.
New features include
  • Dependency checking and resolving in the cruxports4slack gui
  • A fiew more windows have been made resizable for your viewing pleasure Wink
  • The application now remember window sizes and position on the screen. This keeps windows from popping up all over your desktop
  • Look for many cosmetic changes all over the application

Another major change in this release:
The package editing tool has been disabled.
This is due to the lack of useage for this type of application and in order to concentrate development efforts on the most important and mostly used functions.
The plan is to drop it unless the community asks for it.

How do I get it?
http://vpackager.googlecode.com
The project page is the main source for the package until it gets put into the repositories. Please see the list of dependencies in the project page, all of them are available from the repositories.
*** IMPORTANT ***
Please upgrade your gambas-runtime package to version 2.5.0 and install libffi from the repositories.

screenies


Visit http://vpackager.googlecode.com for more screenies, details, and Downloads.

Dont forget to report bugs. Either to this thread or to the "Issues" tab on the project page

Enjoy Wink
« Last Edit: April 29, 2008, 12:49:02 pm by M0E-lnx » Logged

uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #1 on: May 20, 2008, 06:13:17 am »

This version of vpackager will not finish building a package unless you have supplied a slack-desc file.
This is good and bad, I like making sure there is a description, but some people will just thing vpackager is broken.
Logged
Dweeberkitty
Packager
Vectorian
****
Posts: 836



WWW
« Reply #2 on: May 20, 2008, 06:43:00 am »

Ahhhh, so that's what the problem is. I actually did think it was broken. It doesn't tell you what the problem is.
Logged

Registered Linux User #443399
Desktop: Intel Pentium D 3.33Ghz, 320GB hard drive, 2 gigs DDR2 533mhz RAM, NVIDIA Geforce 7800 GS, X2GEN 22" widescreen monitor;
Laptop: Dell Mini 9, Intel Atom 1.6Ghz, 1GB ram
Multimedia Bonus Disc website: http://www.vectorlinuxsolutions.com/
M0E-lnx
Administrator
Vectorian
*****
Posts: 3185



« Reply #3 on: May 20, 2008, 08:24:10 am »

Thanks for the report. The problem has been fixed
To get an updated binary, download http://vpackager.googlecode.com/svn/trunk/vpackager.gambas
rename it to "vpackager" and place it in your /usr/bin

Keep testing and reporting to this thread after more bugs have been reported and squashed, we will see another release
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #4 on: May 24, 2008, 08:59:15 am »

please,dont drop the package editor tool.. Can you sepparate it on a different project/application then?

<offtopic> im still around btw, just waiting for a vector release with xorg7.3 to come out so i can have another try to get wacom driver to build and work correctly on vector.The only thing thats stopping me from installing it again on my main machine.It seems that the driver wouldnt work with the xorg on vec59gold.
does the light edition have a newer xorg? I will download it and install it right now if it does.Somebody has to build that wacom driver soon
« Last Edit: May 24, 2008, 09:04:32 am by blurymind » Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« Reply #5 on: May 26, 2008, 07:46:26 am »

please,dont drop the package editor tool.. Can you sepparate it on a different project/application then?
I'll second that!  Smiley
Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
M0E-lnx
Administrator
Vectorian
*****
Posts: 3185



« Reply #6 on: May 26, 2008, 08:20:10 am »

I will resume development on that area once the builder and crux GUI get's tested enough and debugged.
The code is still there, but has not been fixed to work along with the current general functions.

Wont take that much work to do
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #7 on: May 29, 2008, 03:56:27 am »

found a minor bug/aanoyance:

Code:
unknwon option --sysconfdir=/etc
supported options are:
--help - print this help and exit
--prefix=<path> specify install path.
       <path>/bin - will hold all binaries
       <path>/share/fbxkb - config files, pixmaps etc
       default <path> is /usr
--devel - enable devel mode: no optimization + debug symbols
--transparency - enable EXPERIMENTAL transparency support
FAILED

****  + Error in configure process ****

the problem is a typo in the default config option that it passes,i guess..

this is vpackager on vl-lightrc1

i'm trying to build fbxkb...maybe its configure script doesnt support those options..

EDIT: aah,forget it,it can't even pass make..I'll do it with the console

it seems that vpackager gets some error during "make"... when i run make in the tmp directory where it is, it compiles without a problem... btw i packaged it...to whom do i have to send the package? I lost my ftp key
« Last Edit: May 29, 2008, 04:02:32 am by blurymind » Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
M0E-lnx
Administrator
Vectorian
*****
Posts: 3185



« Reply #8 on: May 29, 2008, 04:00:53 am »

which application is this?

I think this problem is specific to this application. Seems it will not support the --sysconfdir argument.
The config string parsed by default has worked in every other application I've built
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #9 on: May 29, 2008, 04:05:48 am »

i edited my post.

It seems that the problem is with the make step

Code:
****  + Run make ****
make: *** No targets specified and no makefile found.  Stop.
FAILED

**** An error occurred in the build process... Please check the build log ****

which works when i run it with the terminal when i go there.

anyway,i packaged it and it is a must for the repo,especially if you are using pxde and hneed a keyboard switcher for the panel.
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
sparkyhall
Vectorite
***
Posts: 118


« Reply #10 on: June 10, 2008, 11:27:31 am »

Been trying vpackage 1.0.12 (from help about, I'm sure it said 1.0.11 in repo) on VL5.9 standard and I seem to be having a few problems with it.

I'm using vpackage to compile fpm, all goes well with no errors but if I click on install I get the following error message:

[4] Not enough arguments. FrmBuildView.?.0

If I click on save instead then it tells me it will save in my home directory but the only file to be saved there is a script file. If I then look in the /tmp/vpackage/ the built package can be found. The built package seems to install and run OK so I think the actual compile and build is working OK.

Also installing vpackage 1.0.12 seems to break VASMCC which I guess is something to do with the packages that are updated during vpackage installation. VASMCC now gives the following error:

[2] Cannot load class 'FAItMain': Version too old. Please recompile the project.

Please bare in mind that I don't really no what I am doing but then vpackage is supposed to make it easy for us noobs to make packages.

I have also tried all of the above on a clean install of VL5.9 standard with the same results. This post is to help the developers rather than being a request for help but it would be nice to know I'm doing something wrong. If you need more info just let me know and I'll do my best to help.

Chris
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3185



« Reply #11 on: June 10, 2008, 12:13:33 pm »

Hi sparkyhall...

Thanks for testing...
As you may know... I, El moe-dogg is responsible for both of those bugs! Sad

I will look into the vpackager bug... I assume you have upgraded the binary as instructed previously, that's why you're seeing 1.0.12 and not 1.0.11. Meaning.. that the bug is still there... Will get it squared away.

About vasmCC...

It is possible that things broke because of the way vapckager used to ship (with needed libraries... ) whereas these libraries are now available in the repos as well..
Make sure your gambas2-runtime is at version 2.5.0 or newer
also, make sure there is nothing in /opt/vpackager (if you have this, you need to remove this and remove the vpackager package, then re-install a new copy of vpackager)

AFAIK, vasmcc should work fine after that
Logged

sparkyhall
Vectorite
***
Posts: 118


« Reply #12 on: June 10, 2008, 01:51:39 pm »

Hi MOE-Inx,

Thanks for the replay it's much appreciated.

I must apologies as I forgot to mention that I had indeed updated  vpackager in /usr/bin as per your previous post. Too much wine I guess!

I have checked in /opt/ and the only things there are /opt/Adobe, /opt/kde and /opt/seamonkey. I have also checked the gambas version with Gslapt and this claims the following are installed:
   gambas-runtime 1.0.19-i586-1vl59
   gambas2-runtime 2.5.0--i586-1vl59

Out of interest I have tried just installing gambas 2.5.0 on a fresh install of vl5.9 standard and that breaks vasmcc although this time it just doesn't start with no errors reported. If I then remove gambas 2.5.0 vasmcc then works again. One thing I noted is that when I select gambas 2.5.0 for removal Gsalpt automatically selects vasmcc 1.0.12, vpackager 1.0.10b and 1.0.11 for removal even though they are not installed. I have done this on a separate partition so my main partition is unaffected so as before this is for information rather than a request for help.

Chris
Logged
wcs
Packager
Vectorian
****
Posts: 1144


« Reply #13 on: June 10, 2008, 05:05:48 pm »

Hello, all.

Been testing vpackager again. What a great version, M0E. Thanks!

Just a couple of suggestions (this refers to 1.0.11, in the repos):

1. When one creates a slack-desc file, it starts with blank fields and just the name of the program. The problem is after hitting save and continue, if then I want to make amendments to the slack-desc file (and click the button again) I get all the fields blank again. The same goes for previewing or slightly changing a previously formatted file. I guess it would be nice if the "new description" button was actually for "new or 'current' descriptions"

2. I compiled a program with customized configure options and build flags. While the configure options are correct in the slack-desc file, the build flags are written as the default ones.

3. Related to the above, it would be nice if the outputs during the process (and the log file) contained the commands that are being used. That way, one could double-check the ./configure options and build flags while it is running, or later see what was used just by opening the log file.

4. Vpackager told me that the package was saved in my /home directory (I guess because that's where the compressed source was), but there was no copy there. It was only in the temporary directory.

Thanks a lot!

Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3185



« Reply #14 on: June 10, 2008, 05:32:17 pm »

WoW wcs... interesting stuff...

Can I PLEASE get you to file a bug report for me at the project page?
That will help a lot... Thanks for testing.... When you're writing code and trying to test the stuff at the same time you tend to go right past little important details like that

Please do me a favor... fill out the bug reports at the project page.... please.. I have taken a heavy load with vasmcc as well... these bug reports at the project page will help me get to the right place when I start debuggin...

Thanks

EDIT
Well, I've made a couple of entries myself for these bugs... so I can come back later and work on them..

But regarding your 3rd issue.
In the 1.0.12 release (not released yet) I have enabled the build script writer function. This will generate a script with all the commands necessary to build the same package using whatever the user input was for that one application.
Also, in that release, before the build process begins, vpackager will play information such as application details, CFLAGS to be used, configure options and stuff like that.
« Last Edit: June 11, 2008, 09:45:09 am by M0E-lnx » Logged

Pages: [1] 2
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!